#2818 closed defect (fixed)

NIOS2 Does Not Compile on Master

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: highest Milestone: 5.1
Component: unspecified Version: 5
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

../../../../../../../../rtems/c/src/../../cpukit/score/cpu/nios2/nios2-isr-get-level.c: In function '_CPU_ISR_Is_enabled':
../../../../../../../../rtems/c/src/../../cpukit/score/cpu/nios2/nios2-isr-get-level.c:26:16: error: 'status' undeclared (first use in this function)

return ((status & NIOS2_STATUS_IL_MASK) >> NIOS2_STATUS_IL_OFFSET) == 0;

~

../../../../../../../../rtems/c/src/../../cpukit/score/cpu/nios2/nios2-isr-get-level.c:26:16: note: each undeclared identifier is reported only once for each function it appears in
../../../../../../../../rtems/c/src/../../cpukit/score/cpu/nios2/nios2-isr-get-level.c:32:1: warning: control reaches end of non-void function [-Wreturn-type]

}

Change History (3)

comment:1 Changed on Nov 21, 2016 at 9:15:19 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In fd6d3f1f0361b2fe875b08a3c11f078fe933ff24/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.